Wolf CMS: системные требования и скриншоты

Для запуска Wolf CMS, ваша система должна иметь:

  • PHP : версии 5.1 или выше;
  • MySQL версии 4.1.x или выше, SQL ITE 3 или PostgreSQL (начиная 070);
  • Расширения для php доступа к базам данных PDO;
  • Веб-сервер, который поддерживает PHP , как Apache, IIS , Nginx, Lighttpd или Гайавате.

При разработке Wolf CMS предполагалось, что будет запускаться сервер Apache. Тем не менее, это не означает, Wolf CMS работает только на Apache. В принципе, любой веб-сервер, который поддерживает PHP может быть использован. Я нашел как запустить его на сервере NGINX.

В случае Apache, правила перезаписи и другие опции в файле .htaccess будет работать только, если у вас есть по крайней мере следующее в вашем файле конфигурации VirtualHost настроено:

AllowOverride Options FileInfo

Wolf CMS работал нормально:

Меню OpenServer
Меню OpenServer

Фактически, для экспериментов на локальном компьютере подойдет любая сборка WAMP, которая вам нравится: Denwer, Endels, XAMPP, Open Server. На любой из них система запустится. Однако на Open Server есть один подводный камень: по умолчнанию в настройках сказано, что сервер пытается в папке домена найти папку public, public_html, doc, httdoc  и тому подобные для подключения корня сайта от этой папки. В принципе это правильно, но Flexo CMS имеет папку public, а Wolf CMS еще и папку doc. Вот поэтому и происходит маленький конфликт, из-за чего сайт не будет работать. Для устранения сей досадной помехи нужно кликнуть на красном флажке OpenServer правой кнопкой и выбрать в появившемся меню «Настройки».

Настройки доменов OpenServer
Настройки доменов OpenServer

Затем в настройках во вкладки «Домены» убрать в автопоиске папок public и docs. Вот теперь Wolf CMS и Flexo CMS спокойно запустятся на этой сборке.

Ну и обещанные скриншоты админки Wolf CMS с базовым скином.

admin_1_settings-thumbadmin_2_plugins-thumbfiles-thumblayouts-thumbpages1-thumbpages2-thumbpages3_edit-thumbsnippets-thumbusers-thumb

Ссылка на основную публикацию